Subject: Re: [patch -linus] regmap: REMAP_IRQ should select IRQ_DOMAIN itself

From: Mark Brown <[email-masked]>
Date: Wed, 23 May 2012 18:33:43 +0100

On Wed, May 23, 2012 at 08:51:39AM -0700, Linus Torvalds wrote:

> Multi-level pure selects *should* work correctly. So you can select
> stuff that then in turn selects other stuff - and that should all be
> fine.

They're supposed to, and mostly do, but there's been some fragility
there.  That said there's not been anything recently, perhaps I just got
hit with fallout from some development that was going on.

> It's *dependencies* that do not work.

Right, and nor are they supposed to since it's not clear what they
should do.  That's a completely different thing.